## ros-humble-tf2 0.25.7

=== debian/changelog ===
ros-humble-tf2 (0.25.7-1bookworm) bookworm; urgency=high

  * [TimeCache] Improve performance for insertData() and pruneList() (backport #680 <https://github.com/ros2/geometry2/issues/680>) (#693 <https://github.com/ros2/geometry2/issues/693>)
    * Nacho/minor fixes tf2 cache (#658 <https://github.com/ros2/geometry2/issues/658>)
    * Remove unused parameter
    * Make use of API function to improve redability
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    return storage\_.front().stamp\_;
    }
    ```
    And std::list<T>::front() is(gcclib):
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Same argument as 321bd225afb5c
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    // empty list case
    // ...
    return storage\_.front().stamp\_;
    }
    ```
    and std::list<T>::front():
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Improve readbility by relying on STL functions
    By now reading to this block I can tell that we are preventing to
    inserting a new element in the list, that has a timestamp that is
    actually older than the max_storage_time_ we allow for
    * Remove hardcoded algorithmg for STL one
    The intent of the code is now more clear, instead of relying on raw
    loops, we "find if" there is any element in the list that has a stamp
    older than the incoming one. With this we find the position in the list
    where we should insert the current timestamp: storage_it
    * Remove to better express what this pointer is represetngin
    * Replace raw loop for STL algorithm
    Remove if any element is older thant the max_storage_time_ allowed,
    relative to the latest(sooner) time seems clear npw
    * [TimeCache] Improve performance for insertData() and pruneList() (#680 <https://github.com/ros2/geometry2/issues/680>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    * Don't break ABI
    ---------
    Co-authored-by: Ignacio Vizzo <mailto:ignacio@dexory.com>
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add cache_benchmark (backport #679 <https://github.com/ros2/geometry2/issues/679>) (#691 <https://github.com/ros2/geometry2/issues/691>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [cache_unittest] Add direct implementation testing on ordering, pruning (backport #678 <https://github.com/ros2/geometry2/issues/678>) (#688 <https://github.com/ros2/geometry2/issues/688>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tf2 (0.25.6-1bookworm) bookworm; urgency=high

  * Fix constantly increasing memory in std::list (#648 <https://github.com/ros2/geometry2/issues/648>)
  * Contributors: Ignacio Vizzo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-tf2 (0.25.5-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tf2 (0.25.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-tf2 (0.25.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-tf2 (0.25.2-1bookworm) bookworm; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>) (#562 <https://github.com/ros2/geometry2/issues/562>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-tf2 (0.25.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-tf2 (0.25.0-1bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-tf2 (0.24.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-tf2 (0.23.0-1bookworm) bookworm; urgency=high

  * forward declare fromMsg to avoid missing symbols in downstream libraries (#485 <https://github.com/ros2/geometry2/issues/485>)
  * Contributors: João C. Monteiro

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-tf2 (0.22.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tf2 (0.21.0-1bookworm) bookworm; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tf2 (0.20.0-1bookworm) bookworm; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette


