=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Lalancette <clalancette@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-google-benchmark <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-builtin-interfaces, ros-humble-console-bridge-vendor, ros-humble-geometry-msgs, ros-humble-rcutils, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
 Homepage: http://www.ros.org/wiki/tf2
 Standards-Version: 3.9.2
