## ros-humble-tf2 0.25.8

=== debian/changelog ===
ros-humble-tf2 (0.25.8-1bookworm) bookworm; urgency=high

  * Enable Twist interpolator (backport #646 <https://github.com/ros2/geometry2/issues/646>) (#684 <https://github.com/ros2/geometry2/issues/684>)
    * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
    (cherry picked from commit 62322b8fa74c90d144dfe32294f6670bf6cfe786)
    # Conflicts:
    #     tf2/include/tf2/buffer_core.h
    #     tf2_ros/test/test_buffer.cpp
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 16:00:00 -0000
